Subject: bug#58282: Distinguishing glasses-mode display

From: uzibalqa <[email-masked]>
Date: Tue, 04 Oct 2022 18:09:53 +0000

------- Original Message -------
On Tuesday, October 4th, 2022 at 6:02 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Tue, 04 Oct 2022 17:28:21 +0000
> > From: uzibalqa [email-masked]
> > Cc: [email-masked], [email-masked]
> > 
> > (defun camelsens (hexcode)
> > 
> > "Splits CamelCase phrases using separator."
> > 
> > (interactive (list
> > 
> > (completing-read "Utf8_hex_code: " '("\u27A4" "\u25BA" "\u2192") nil t "\u2192")))
> > 
> > (setq glasses-separator hexcode)
> > 
> > (glasses-mode))
> > 
> > But this only works the first time I call the function.
> 
> 
> You cannot simply assign the value to this variable. Look at its
> defcustom form to understand what is missing.
> 
> And anyway, what does this have to do with the bug report? You are
> asking basic Emacs Lisp questions.

Because I can use utf, I can easily distinguish between code and glasses display.
This feature solves my problem.